Limerence
Spaces

Get Space Chat Messages

Get all messages for a chat by chatId directly

GET
/spaces/{id}/chats/{chatId}/messages

Get all messages for a chat by chatId directly

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string
chatId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/spaces/string/chats/string/messages"
{  "messages": [    {      "property1": "string",      "property2": "string"    }  ],  "usage": null}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}